/*                                                                               *\
    This file is part of the CBOLD(tm) framework for electronic design capture.
                         Copyright (C) 2007 Coolquest, Inc.

      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.

      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.

      You should have received a copy of the GNU General Public License along
      with this program; if not, write to the Free Software Foundation, Inc.,
      51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    For more about the CBOLD framework and Coolquest, Inc., see www.cbold.com.
\*                                                                               */

// file cb_imp_spec.cpp:  code to work around implementation-specific (compiler-specific) behavior

#include "cb_imp_spec.h"
#include <ctype.h>       // for is...()
#include <string.h>      // for strncmp()

// RTTI name character string content obtained via type_info::name() is compiler-defined.
// The version below works with:
//   Borland   -- RTTI name requires no further processing
//   Microsoft -- RTTI name contains initial "class "       that is removed (e.g., class MyType --> MyType)
//   g++       -- RTTI name contains initial length integer that is removed (e.g., 6MyType      --> MyType)

const char* Translate_RTTI_Name( const char* Npt ) {
  if ( strncmp( Npt, "class ", 6 ) == 0 )  Npt += 6;  // skip initial "class ", e.g., for Microsoft compiler
  while ( 1 ) {
    char c = *Npt;
    if ( c == 0         )  break;
    if ( ! isdigit( c ) )  break;   // skip initial integer, e.g., for g++ compiler
    Npt ++;
  }
  return Npt;
}

