/*                                                                               *\
    This file is part of the CBOLD(tm) framework for electronic design capture.
                         Copyright (C) 2007 Coolquest, Inc.

      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.

      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.

      You should have received a copy of the GNU General Public License along
      with this program; if not, write to the Free Software Foundation, Inc.,
      51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    For more about the CBOLD framework and Coolquest, Inc., see www.cbold.com.
\*                                                                               */

// file cb_netlist_pp.h:  netlist generator for PADS layout tool (PADS is a registered trademark of Mentor Graphics Corporation.)

#ifndef _cb_netlist_ppH_
#define _cb_netlist_ppH_

#include "cb_base.h"

// output standard netlist format (PADS PowerPCB V4.0 format)
void OutputCadPP( TRootModule* Root,          // pointer to the design's highest level module
                  ofstream& Dest,             // destination file stream
                  bool NullTimeStamp = true   // true --> use fixed timestamp of "Sat Jan 01 00:00:00 2000" rather than real time -- fixed timestamp is preferred for regression tests
                 );

#endif

