/*                                                                               *\
    This file is part of the CBOLD(tm) framework for electronic design capture.
                         Copyright (C) 2007 Coolquest, Inc.

      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.

      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.

      You should have received a copy of the GNU General Public License along
      with this program; if not, write to the Free Software Foundation, Inc.,
      51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    For more about the CBOLD framework and Coolquest, Inc., see www.cbold.com.
\*                                                                               */

// file cb_prop.cpp:  classes related to properties -- see notes at the end of this file

#include "cb_prop.h"

ostream& operator<<( ostream& Dest, TProperty& P ) {
  Dest << Translate_RTTI_Name( typeid( P ).name() );
  return Dest;
}

TProperty& operator<=( TProperty& P, TModPar& ModPar ) {
  P.Associate( ModPar );
  return P;
}

TProperty& operator<=( TProperty& P, TPortRange PortRange ) {
  P.Associate( PortRange );
  return P;
}

TProperty& operator<=( TProperty& P, TBundle& Bundle ) {
  P.Associate( Bundle );
  return P;
}

// associate the property with the named SubBus in the currently connecting module
// this operator may only be used within the Connect() of the module that contains the named Subbus
// the SubBus must already exist
TProperty& operator<=( TProperty& P, char* SubBusName ) {
  P.Associate( SubBusName, TModule::ConnectingModule );
  return P;
}

TModPar& operator<=( TModPar& ModPar, TProperty& P ) {
  P.Associate( ModPar );
  return ModPar;
}

TPortRange operator<=( TPortRange PortRange, TProperty& P ) {
  P.Associate( PortRange );
  return PortRange;
}

TBundle& operator<=( TBundle& Bundle, TProperty& P ) {
  P.Associate( Bundle );
  return Bundle;
}

// associate the property with the named SubBus in the currently connecting module
// this operator may only be used within the Connect() of the module that contains the named Subbus
// the SubBus must already exist
char* operator<=( char* SubBusName, TProperty& P ) {
  P.Associate( SubBusName, TModule::ConnectingModule );
  return SubBusName;
}

