// This File Generated by:  pt_to_h.exe
// Source File:             capacitors.pt
// Destination File:        capacitors.h

#ifndef _capacitors_h_
#define _capacitors_h_

// AR_OFF -- auto registration is not needed

// THIS FILE IS IN THE PUBLIC DOMAIN.
// IT IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT
// NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

class CP_CCHIPPOS603 : public TPart {     // chip capacitor with POS and GND ports in 603 package

public:
  port   POS;     
  port   GND;     

  CP_CCHIPPOS603() {
    SetPackage( "SRC603", 2 );
    SetReferencePrefix( "C" );
  }

  virtual void Register() {
    reg(  POS );
          POS.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_CCHIP603 : public TPart {     // chip capacitor in 603 package

public:
  port   A;     
  port   B;     

  CP_CCHIP603() {
    SetPackage( "SRC603", 2 );
    SetReferencePrefix( "C" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "2" );
  }
};

class CP_CCHIP805 : public TPart {     // chip capacitor in 805 package

public:
  port   A;     
  port   B;     

  CP_CCHIP805() {
    SetPackage( "SRC805", 2 );
    SetReferencePrefix( "C" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "2" );
  }
};

class CP_CCHIP1206 : public TPart {     // chip capacitor in 1206 package

public:
  port   A;     
  port   B;     

  CP_CCHIP1206() {
    SetPackage( "SRC1206", 2 );
    SetReferencePrefix( "C" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "2" );
  }
};

class CP_CCHIP1210 : public TPart {     // chip capacitor in 1210 package

public:
  port   A;     
  port   B;     

  CP_CCHIP1210() {
    SetPackage( "SRC1210", 2 );
    SetReferencePrefix( "C" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "2" );
  }
};

class CP_CTANT_D : public TPart {     // tantalum capacitor in D package

public:
  port   POS;     
  port   NEG;     

  CP_CTANT_D() {
    SetPackage( "TANT_D", 2 );
    SetReferencePrefix( "C" );
  }

  virtual void Register() {
    reg(  POS );
          POS.SetPin( "POS" );
    reg(  NEG );
          NEG.SetPin( "NEG" );
  }
};

class CP_C_RADIAL_POL_D : public TPart {     // size "D" (medium) radial electrolytic capacitor

public:
  port   POS;     
  port   NEG;     

  CP_C_RADIAL_POL_D() {
    SetPackage( "CAP_RADIAL_POL_D", 2 );
    SetReferencePrefix( "C" );
  }

  virtual void Register() {
    reg(  POS );
          POS.SetPin( "POS" );
    reg(  NEG );
          NEG.SetPin( "NEG" );
  }
};

class CP_C_RADIAL_POL_C : public TPart {     // size "C" (medium-small) radial electrolytic capacitor

public:
  port   POS;     
  port   NEG;     

  CP_C_RADIAL_POL_C() {
    SetPackage( "CAP_RADIAL_POL_C", 2 );
    SetReferencePrefix( "C" );
  }

  virtual void Register() {
    reg(  POS );
          POS.SetPin( "POS" );
    reg(  NEG );
          NEG.SetPin( "NEG" );
  }
};

class CP_C_AXIAL_POL_D : public TPart {     // size "D" (medium) axial electrolytic capacitor

public:
  port   POS;     
  port   NEG;     

  CP_C_AXIAL_POL_D() {
    SetPackage( "CAP_AXIAL_POL_D", 2 );
    SetReferencePrefix( "C" );
  }

  virtual void Register() {
    reg(  POS );
          POS.SetPin( "POS" );
    reg(  NEG );
          NEG.SetPin( "NEG" );
  }
};


#endif
