// This File Generated by:  pt_to_h.exe
// Source File:             decoupling.pt
// Destination File:        decoupling.h

#ifndef _decoupling_h_
#define _decoupling_h_

// AR_OFF -- auto registration is not needed

// THIS FILE IS IN THE PUBLIC DOMAIN.
// IT IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT
// NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

class CP_CDC : public TPart {     // ceramic decoupling capacitor

public:
  port   A;     
  port   B;     

  CP_CDC() {
    SetPackage( "SRC805", 2 );
    SetReferencePrefix( "K" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "2" );
  }
};

class CP_CDC_POS : public TPart {     // ceramic decoupling capacitor with POS terminal

public:
  port   POS;     
  port   GND;     

  CP_CDC_POS() {
    SetPackage( "SCDC", 2 );
    SetReferencePrefix( "K" );
  }

  virtual void Register() {
    reg(  POS );
          POS.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_CDC_VCC5 : public TPart {     // ceramic decoupling capacitor on VCC5

public:
  port   VCC5;     
  port   GND;      

  CP_CDC_VCC5() {
    SetPackage( "SRC805", 2 );
    SetReferencePrefix( "K" );
  }

  virtual void Register() {
    reg(  VCC5 );
          VCC5.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_CDC_VCC : public TPart {     // ceramic decoupling capacitor on VCC

public:
  port   VCC;     
  port   GND;     

  CP_CDC_VCC() {
    SetPackage( "SRC805", 2 );
    SetReferencePrefix( "K" );
  }

  virtual void Register() {
    reg(  VCC );
          VCC.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_CDC_VCCINT : public TPart {     // ceramic decoupling capacitor on VCCINT

public:
  port   VCCINT;     
  port   GND;        

  CP_CDC_VCCINT() {
    SetPackage( "SRC805", 2 );
    SetReferencePrefix( "K" );
  }

  virtual void Register() {
    reg(  VCCINT );
          VCCINT.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_CDC_VCORE : public TPart {     // ceramic decoupling capacitor on VCORE

public:
  port   VCORE;     
  port   GND;       

  CP_CDC_VCORE() {
    SetPackage( "SRC805", 2 );
    SetReferencePrefix( "K" );
  }

  virtual void Register() {
    reg(  VCORE );
          VCORE.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_TDC : public TPart {     // tantalum decoupling capacitor

public:
  port   P;     
  port   N;     

  CP_TDC() {
    SetPackage( "STDC", 2 );
    SetReferencePrefix( "T" );
  }

  virtual void Register() {
    reg(  P );
          P.SetPin( "1" );
    reg(  N );
          N.SetPin( "2" );
  }
};

class CP_TDC_POS : public TPart {     // tantalum decoupling capacitor with POS terminal

public:
  port   POS;     // positive terminal
  port   GND;     // negative terminal

  CP_TDC_POS() {
    SetPackage( "STDC", 2 );
    SetReferencePrefix( "T" );
  }

  virtual void Register() {
    reg(  POS );
          POS.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_TDC_NEG : public TPart {     // tantalum decoupling capacitor with NEG terminal

public:
  port   GND;     // positive terminal
  port   NEG;     // negative terminal

  CP_TDC_NEG() {
    SetPackage( "STDC", 2 );
    SetReferencePrefix( "T" );
  }

  virtual void Register() {
    reg(  GND );
          GND.SetPin( "1" );
    reg(  NEG );
          NEG.SetPin( "2" );
  }
};

class CP_TDC_R_POS : public TPart {     // tantalum decoupling capacitor, size code R, with POS terminal

public:
  port   POS;     // positive terminal
  port   GND;     // negative terminal

  CP_TDC_R_POS() {
    SetPackage( "SPRAGUE_TDC_R", 2 );     // e.g., see Vishay Sprague model 594D
    SetReferencePrefix( "C" );     // use C prefix, because these are not ordinary TDC's
  }

  virtual void Register() {
    reg(  POS );
          POS.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_TDC_VCC5 : public TPart {     // tantalum decoupling capacitor on VCC5

public:
  port   VCC5;     
  port   GND;      

  CP_TDC_VCC5() {
    SetPackage( "STDC", 2 );
    SetReferencePrefix( "T" );
  }

  virtual void Register() {
    reg(  VCC5 );
          VCC5.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_TDC_VCC : public TPart {     // tantalum decoupling capacitor on VCC

public:
  port   VCC;     
  port   GND;     

  CP_TDC_VCC() {
    SetPackage( "STDC", 2 );
    SetReferencePrefix( "T" );
  }

  virtual void Register() {
    reg(  VCC );
          VCC.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_TDC_VCCINT : public TPart {     // tantalum decoupling capacitor on VCCINT

public:
  port   VCCINT;     
  port   GND;        

  CP_TDC_VCCINT() {
    SetPackage( "STDC", 2 );
    SetReferencePrefix( "T" );
  }

  virtual void Register() {
    reg(  VCCINT );
          VCCINT.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_TDC_VCORE : public TPart {     // tantalum decoupling capacitor on VCORE

public:
  port   VCORE;     
  port   GND;       

  CP_TDC_VCORE() {
    SetPackage( "STDC", 2 );
    SetReferencePrefix( "T" );
  }

  virtual void Register() {
    reg(  VCORE );
          VCORE.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};


#endif
