// This File Generated by:  pt_to_h.exe
// Source File:             hfbr.pt
// Destination File:        hfbr.h

#ifndef _hfbr_h_
#define _hfbr_h_

// AR_OFF -- auto registration is not needed

// THIS FILE IS IN THE PUBLIC DOMAIN.
// IT IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT
// NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

class CP_HFBR_53A5V : public TPart {

public:
  port   VEER;     
  port   RD_P;     
  port   RD_N;     
  port   SD;       
  port   VCCR;     
  port   VCCT;     
  port   TD_N;     
  port   TD_P;     
  port   VEET;     
  port   NIC;      // 2 pins  // no internal connection, mounting pins

  CP_HFBR_53A5V() {
    SetPackage( "FOXCVR_1X9", 11 );     // 1x9 fiber optic transceiver package with duplex SC connector
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  VEER );
          VEER.SetPin( "1" );
    reg(  RD_P );
          RD_P.SetPin( "2" );
    reg(  RD_N );
          RD_N.SetPin( "3" );
    reg(  SD );
          SD.SetPin( "4" );
    reg(  VCCR );
          VCCR.SetPin( "5" );
    reg(  VCCT );
          VCCT.SetPin( "6" );
    reg(  TD_N );
          TD_N.SetPin( "7" );
    reg(  TD_P );
          TD_P.SetPin( "8" );
    reg(  VEET );
          VEET.SetPin( "9" );
    reg(  NIC );
          NIC.AddPin( "10" );
          NIC.AddPin( "11" );
  }
};

class CP_HFBR_772B : public TPart {     // parallel fiber optic transmitter

public:
  port   DIN_P;       // AR_BUS(11,0)
  port   DIN_N;       // AR_BUS(11,0)
  port   TX_EN;       
  port   TX_DIS;      
  port   RESET_N;     
  port   FAULT_N;     
  port   VCCT;        // 8 pins  // supply voltage after power supply filter --> lower than spec'd VCC
  port   GND;         // 34 pins  // "VEE"
  port   DNC;         // 30 pins

  CP_HFBR_772B() {
    SetPackage( "HFBR_772", 100 );     // 100-pin BGA connector plus mounting and alignment holes
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    regb( DIN_P, 11, 0 );
          DIN_P.AddPin( 11, "D8" );
          DIN_P.AddPin( 10, "C7" );
          DIN_P.AddPin( 9, "B6" );
          DIN_P.AddPin( 8, "B2" );
          DIN_P.AddPin( 7, "C3" );
          DIN_P.AddPin( 6, "D4" );
          DIN_P.AddPin( 5, "E2" );
          DIN_P.AddPin( 4, "F3" );
          DIN_P.AddPin( 3, "G4" );
          DIN_P.AddPin( 2, "E5" );
          DIN_P.AddPin( 1, "F6" );
          DIN_P.AddPin( 0, "G7" );
    regb( DIN_N, 11, 0 );
          DIN_N.AddPin( 11, "D7" );
          DIN_N.AddPin( 10, "C6" );
          DIN_N.AddPin( 9, "B5" );
          DIN_N.AddPin( 8, "B3" );
          DIN_N.AddPin( 7, "C4" );
          DIN_N.AddPin( 6, "D5" );
          DIN_N.AddPin( 5, "E3" );
          DIN_N.AddPin( 4, "F4" );
          DIN_N.AddPin( 3, "G5" );
          DIN_N.AddPin( 2, "E6" );
          DIN_N.AddPin( 1, "F7" );
          DIN_N.AddPin( 0, "G8" );
    reg(  TX_EN );
          TX_EN.SetPin( "I9" );
    reg(  TX_DIS );
          TX_DIS.SetPin( "H9" );
    reg(  RESET_N );
          RESET_N.SetPin( "I8" );
    reg(  FAULT_N );
          FAULT_N.SetPin( "H8" );
    reg(  VCCT );
          VCCT.AddPin( "H3" );
          VCCT.AddPin( "I3" );
          VCCT.AddPin( "H4" );
          VCCT.AddPin( "I4" );
          VCCT.AddPin( "H5" );
          VCCT.AddPin( "I5" );
          VCCT.AddPin( "H6" );
          VCCT.AddPin( "I6" );
    reg(  GND );
          GND.AddPin( "B1" );
          GND.AddPin( "C1" );
          GND.AddPin( "D1" );
          GND.AddPin( "E1" );
          GND.AddPin( "F1" );
          GND.AddPin( "G1" );
          GND.AddPin( "A2" );
          GND.AddPin( "C2" );
          GND.AddPin( "D2" );
          GND.AddPin( "F2" );
          GND.AddPin( "G2" );
          GND.AddPin( "A3" );
          GND.AddPin( "D3" );
          GND.AddPin( "G3" );
          GND.AddPin( "B4" );
          GND.AddPin( "E4" );
          GND.AddPin( "A5" );
          GND.AddPin( "C5" );
          GND.AddPin( "F5" );
          GND.AddPin( "A6" );
          GND.AddPin( "D6" );
          GND.AddPin( "G6" );
          GND.AddPin( "B7" );
          GND.AddPin( "E7" );
          GND.AddPin( "B8" );
          GND.AddPin( "C8" );
          GND.AddPin( "E8" );
          GND.AddPin( "F8" );
          GND.AddPin( "B9" );
          GND.AddPin( "C9" );
          GND.AddPin( "D9" );
          GND.AddPin( "E9" );
          GND.AddPin( "F9" );
          GND.AddPin( "G9" );
    reg(  DNC );
          DNC.AddPin( "J1" );
          DNC.AddPin( "J2" );
          DNC.AddPin( "J3" );
          DNC.AddPin( "J4" );
          DNC.AddPin( "J5" );
          DNC.AddPin( "J6" );
          DNC.AddPin( "J7" );
          DNC.AddPin( "J8" );
          DNC.AddPin( "J9" );
          DNC.AddPin( "J10" );
          DNC.AddPin( "A10" );
          DNC.AddPin( "B10" );
          DNC.AddPin( "C10" );
          DNC.AddPin( "D10" );
          DNC.AddPin( "E10" );
          DNC.AddPin( "F10" );
          DNC.AddPin( "G10" );
          DNC.AddPin( "H10" );
          DNC.AddPin( "I10" );
          DNC.AddPin( "A1" );
          DNC.AddPin( "A4" );
          DNC.AddPin( "A7" );
          DNC.AddPin( "A8" );
          DNC.AddPin( "A9" );
          DNC.AddPin( "I1" );
          DNC.AddPin( "H1" );
          DNC.AddPin( "I2" );
          DNC.AddPin( "H2" );
          DNC.AddPin( "I7" );
          DNC.AddPin( "H7" );
  }
};

class CP_HFBR_782B : public TPart {     // parallel fiber optic receiver

public:
  port   DOUT_N;     // AR_BUS(11,0)
  port   DOUT_P;     // AR_BUS(11,0)
  port   RX_EN;      
  port   EN_SD;      
  port   SD;         
  port   SQ_EN;      
  port   VCCR;       // 8 pins  // supply voltage after power supply filter --> lower than spec'd VCC
  port   VPP;        // AR_BUS(3,0)  // terminator supply voltage for MSA compatibility -- not used by Agilent device
  port   GND;        // 34 pins  // "VEE"
  port   DNC;        // 26 pins

  CP_HFBR_782B() {
    SetPackage( "HFBR_782", 100 );     // 100-pin BGA connector plus mounting and alignment holes
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    regb( DOUT_N, 11, 0 );
          DOUT_N.AddPin( 11, "D8" );
          DOUT_N.AddPin( 10, "C7" );
          DOUT_N.AddPin( 9, "B6" );
          DOUT_N.AddPin( 8, "B2" );
          DOUT_N.AddPin( 7, "C3" );
          DOUT_N.AddPin( 6, "D4" );
          DOUT_N.AddPin( 5, "E2" );
          DOUT_N.AddPin( 4, "F3" );
          DOUT_N.AddPin( 3, "G4" );
          DOUT_N.AddPin( 2, "E5" );
          DOUT_N.AddPin( 1, "F6" );
          DOUT_N.AddPin( 0, "G7" );
    regb( DOUT_P, 11, 0 );
          DOUT_P.AddPin( 11, "D7" );
          DOUT_P.AddPin( 10, "C6" );
          DOUT_P.AddPin( 9, "B5" );
          DOUT_P.AddPin( 8, "B3" );
          DOUT_P.AddPin( 7, "C4" );
          DOUT_P.AddPin( 6, "D5" );
          DOUT_P.AddPin( 5, "E3" );
          DOUT_P.AddPin( 4, "F4" );
          DOUT_P.AddPin( 3, "G5" );
          DOUT_P.AddPin( 2, "E6" );
          DOUT_P.AddPin( 1, "F7" );
          DOUT_P.AddPin( 0, "G8" );
    reg(  RX_EN );
          RX_EN.SetPin( "I9" );
    reg(  EN_SD );
          EN_SD.SetPin( "H9" );
    reg(  SD );
          SD.SetPin( "H7" );
    reg(  SQ_EN );
          SQ_EN.SetPin( "J10" );
    reg(  VCCR );
          VCCR.AddPin( "H3" );
          VCCR.AddPin( "I3" );
          VCCR.AddPin( "H4" );
          VCCR.AddPin( "I4" );
          VCCR.AddPin( "H5" );
          VCCR.AddPin( "I5" );
          VCCR.AddPin( "H6" );
          VCCR.AddPin( "I6" );
    regb( VPP, 3, 0 );
          VPP.AddPin( 3, "J1" );
          VPP.AddPin( 2, "J2" );
          VPP.AddPin( 1, "J8" );
          VPP.AddPin( 0, "J9" );
    reg(  GND );
          GND.AddPin( "B1" );
          GND.AddPin( "C1" );
          GND.AddPin( "D1" );
          GND.AddPin( "E1" );
          GND.AddPin( "F1" );
          GND.AddPin( "G1" );
          GND.AddPin( "A2" );
          GND.AddPin( "C2" );
          GND.AddPin( "D2" );
          GND.AddPin( "F2" );
          GND.AddPin( "G2" );
          GND.AddPin( "A3" );
          GND.AddPin( "D3" );
          GND.AddPin( "G3" );
          GND.AddPin( "B4" );
          GND.AddPin( "E4" );
          GND.AddPin( "A5" );
          GND.AddPin( "C5" );
          GND.AddPin( "F5" );
          GND.AddPin( "A6" );
          GND.AddPin( "D6" );
          GND.AddPin( "G6" );
          GND.AddPin( "B7" );
          GND.AddPin( "E7" );
          GND.AddPin( "B8" );
          GND.AddPin( "C8" );
          GND.AddPin( "E8" );
          GND.AddPin( "F8" );
          GND.AddPin( "B9" );
          GND.AddPin( "C9" );
          GND.AddPin( "D9" );
          GND.AddPin( "E9" );
          GND.AddPin( "F9" );
          GND.AddPin( "G9" );
    reg(  DNC );
          DNC.AddPin( "J3" );
          DNC.AddPin( "J4" );
          DNC.AddPin( "J5" );
          DNC.AddPin( "J6" );
          DNC.AddPin( "J7" );
          DNC.AddPin( "A10" );
          DNC.AddPin( "B10" );
          DNC.AddPin( "C10" );
          DNC.AddPin( "D10" );
          DNC.AddPin( "E10" );
          DNC.AddPin( "F10" );
          DNC.AddPin( "G10" );
          DNC.AddPin( "H10" );
          DNC.AddPin( "I10" );
          DNC.AddPin( "A1" );
          DNC.AddPin( "A4" );
          DNC.AddPin( "A7" );
          DNC.AddPin( "A8" );
          DNC.AddPin( "A9" );
          DNC.AddPin( "I1" );
          DNC.AddPin( "H1" );
          DNC.AddPin( "I2" );
          DNC.AddPin( "H2" );
          DNC.AddPin( "I7" );
          DNC.AddPin( "I8" );
          DNC.AddPin( "H8" );
  }
};


#endif
