// This File Generated by:  pt_to_h.exe
// Source File:             lvds.pt
// Destination File:        lvds.h

#ifndef _lvds_h_
#define _lvds_h_

// AR_OFF -- auto registration is not needed

// THIS FILE IS IN THE PUBLIC DOMAIN.
// IT IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT
// NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

class CP_SN65LVDS1 : public TPart {     // single LVDS driver in SOT23_5

public:
  port   IN;        // "D"
  port   OUT_P;     // "Y" non-inverting output
  port   OUT_N;     // "Z"     inverting output
  port   VCC;       
  port   GND;       

  CP_SN65LVDS1() {
    SetPackage( "SOT23_5", 5 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  IN );
          IN.SetPin( "5" );
    reg(  OUT_P );
          OUT_P.SetPin( "4" );
    reg(  OUT_N );
          OUT_N.SetPin( "3" );
    reg(  VCC );
          VCC.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_SN65LVDS9637B : public TPart {     // dual LVDS receiver with wide common mode range

public:
  port   IN_P1;     // "1A"  non-inverting input
  port   IN_N1;     // "1B"      inverting input
  port   OUT1;      // "1Y"
  port   IN_P2;     // "2A"  non-inverting input
  port   IN_N2;     // "2B"      inverting input
  port   OUT2;      // "2Y"
  port   VCC;       
  port   GND;       

  CP_SN65LVDS9637B() {
    SetPackage( "SOIC8", 8 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  IN_P1 );
          IN_P1.SetPin( "8" );
    reg(  IN_N1 );
          IN_N1.SetPin( "7" );
    reg(  OUT1 );
          OUT1.SetPin( "2" );
    reg(  IN_P2 );
          IN_P2.SetPin( "6" );
    reg(  IN_N2 );
          IN_N2.SetPin( "5" );
    reg(  OUT2 );
          OUT2.SetPin( "3" );
    reg(  VCC );
          VCC.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "4" );
  }
};

class CP_SN65LVDS34D : public TPart {     // same pinout as SN65LVDS9637B, but better specs

public:
  port   IN_P1;     // "1A"  non-inverting input
  port   IN_N1;     // "1B"      inverting input
  port   OUT1;      // "1Y"
  port   IN_P2;     // "2A"  non-inverting input
  port   IN_N2;     // "2B"      inverting input
  port   OUT2;      // "2Y"
  port   VCC;       
  port   GND;       

  CP_SN65LVDS34D() {
    SetPackage( "SOIC8", 8 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  IN_P1 );
          IN_P1.SetPin( "8" );
    reg(  IN_N1 );
          IN_N1.SetPin( "7" );
    reg(  OUT1 );
          OUT1.SetPin( "2" );
    reg(  IN_P2 );
          IN_P2.SetPin( "6" );
    reg(  IN_N2 );
          IN_N2.SetPin( "5" );
    reg(  OUT2 );
          OUT2.SetPin( "3" );
    reg(  VCC );
          VCC.SetPin( "1" );
    reg(  GND );
          GND.SetPin( "4" );
  }
};

class CP_SN65LVDS100D : public TPart {     // SN65LVDS100 in SOIC8, same pinout as SN65LVDS101--LVDT versions have NC instead of VBB

public:
  port   VCC;     // 3.3V
  port   GND;     
  port   D_P;     // "A" on data sheet
  port   D_N;     // "B" on data sheet (inverting)
  port   Q_P;     // "Y" on data sheet
  port   Q_N;     // "Z" on data sheet (inverting)
  port   VBB;     // output
  port   NC;      

  CP_SN65LVDS100D() {
    SetPackage( "SOIC8", 8 );     // pinout is the same for D and DGK package
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  VCC );
          VCC.SetPin( "8" );
    reg(  GND );
          GND.SetPin( "5" );
    reg(  D_P );
          D_P.SetPin( "2" );
    reg(  D_N );
          D_N.SetPin( "3" );
    reg(  Q_P );
          Q_P.SetPin( "7" );
    reg(  Q_N );
          Q_N.SetPin( "6" );
    reg(  VBB );
          VBB.SetPin( "4" );
    reg(  NC );
          NC.SetPin( "1" );
  }
};


#endif
