// This File Generated by:  pt_to_h.exe
// Source File:             resistor_packs.pt
// Destination File:        resistor_packs.h

#ifndef _resistor_packs_h_
#define _resistor_packs_h_

// AR_OFF -- auto registration is not needed

// THIS FILE IS IN THE PUBLIC DOMAIN.
// IT IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT
// NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

class CP_PRN11124 : public TPart {

public:
  port   COMMON;     
  port   R;          // AR_BUS(23,1)

  CP_PRN11124() {
    SetPackage( "SSOP24", 24 );
    SetReferencePrefix( "RP" );
  }

  virtual void Register() {
    reg(  COMMON );
          COMMON.SetPin( "24" );
    regb( R, 23, 1 );
          R.AddPin( 23, "23" );
          R.AddPin( 22, "22" );
          R.AddPin( 21, "21" );
          R.AddPin( 20, "20" );
          R.AddPin( 19, "19" );
          R.AddPin( 18, "18" );
          R.AddPin( 17, "17" );
          R.AddPin( 16, "16" );
          R.AddPin( 15, "15" );
          R.AddPin( 14, "14" );
          R.AddPin( 13, "13" );
          R.AddPin( 12, "12" );
          R.AddPin( 11, "11" );
          R.AddPin( 10, "10" );
          R.AddPin( 9, "9" );
          R.AddPin( 8, "8" );
          R.AddPin( 7, "7" );
          R.AddPin( 6, "6" );
          R.AddPin( 5, "5" );
          R.AddPin( 4, "4" );
          R.AddPin( 3, "3" );
          R.AddPin( 2, "2" );
          R.AddPin( 1, "1" );
  }
};

class CP_PRN11024 : public TPart {

public:
  port   A;     // AR_BUS(11,0)
  port   B;     // AR_BUS(11,0)

  CP_PRN11024() {
    SetPackage( "SSOP24", 24 );
    SetReferencePrefix( "RP" );
  }

  virtual void Register() {
    regb( A, 11, 0 );
          A.AddPin( 11, "12" );
          A.AddPin( 10, "11" );
          A.AddPin( 9, "10" );
          A.AddPin( 8, "9" );
          A.AddPin( 7, "8" );
          A.AddPin( 6, "7" );
          A.AddPin( 5, "6" );
          A.AddPin( 4, "5" );
          A.AddPin( 3, "4" );
          A.AddPin( 2, "3" );
          A.AddPin( 1, "2" );
          A.AddPin( 0, "1" );
    regb( B, 11, 0 );
          B.AddPin( 11, "13" );
          B.AddPin( 10, "14" );
          B.AddPin( 9, "15" );
          B.AddPin( 8, "16" );
          B.AddPin( 7, "17" );
          B.AddPin( 6, "18" );
          B.AddPin( 5, "19" );
          B.AddPin( 4, "20" );
          B.AddPin( 3, "21" );
          B.AddPin( 2, "22" );
          B.AddPin( 1, "23" );
          B.AddPin( 0, "24" );
  }
};

class CP_EXB2HV : public TPart {

public:
  port   A;     // AR_BUS(7,0)
  port   B;     // AR_BUS(7,0)

  CP_EXB2HV() {
    SetPackage( "CHIPRES8X_5", 16 );
    SetReferencePrefix( "RP" );
  }

  virtual void Register() {
    regb( A, 7, 0 );
          A.AddPin( 7, "8" );
          A.AddPin( 6, "7" );
          A.AddPin( 5, "6" );
          A.AddPin( 4, "5" );
          A.AddPin( 3, "4" );
          A.AddPin( 2, "3" );
          A.AddPin( 1, "2" );
          A.AddPin( 0, "1" );
    regb( B, 7, 0 );
          B.AddPin( 7, "9" );
          B.AddPin( 6, "10" );
          B.AddPin( 5, "11" );
          B.AddPin( 4, "12" );
          B.AddPin( 3, "13" );
          B.AddPin( 2, "14" );
          B.AddPin( 1, "15" );
          B.AddPin( 0, "16" );
  }
};

class CP_RSIP_DUAL_TERM_10 : public TPart {

public:
  port   GND;     // common pin typically attached to ground
  port   T;       // AR_BUS(7,0)  // center taps of terminator pairs
  port   POS;     // common pin typically attached to VCC

  CP_RSIP_DUAL_TERM_10() {
    SetPackage( "SIP10_100", 10 );     // 100 mil SIP
    SetReferencePrefix( "RP" );
  }

  virtual void Register() {
    reg(  GND );
          GND.SetPin( "1" );
    regb( T, 7, 0 );
          T.AddPin( 7, "9" );
          T.AddPin( 6, "8" );
          T.AddPin( 5, "7" );
          T.AddPin( 4, "6" );
          T.AddPin( 3, "5" );
          T.AddPin( 2, "4" );
          T.AddPin( 1, "3" );
          T.AddPin( 0, "2" );
    reg(  POS );
          POS.SetPin( "10" );
  }
};

class CP_RDIP_BUSSED_14 : public TPart {     // 13 resistors bussed to common pin 14

public:
  port   COMMON;     
  port   R;          // AR_BUS(13,1)

  CP_RDIP_BUSSED_14() {
    SetPackage( "RSOIC14", 14 );
    SetReferencePrefix( "RP" );
  }

  virtual void Register() {
    reg(  COMMON );
          COMMON.SetPin( "14" );
    regb( R, 13, 1 );
          R.AddPin( 13, "13" );
          R.AddPin( 12, "12" );
          R.AddPin( 11, "11" );
          R.AddPin( 10, "10" );
          R.AddPin( 9, "9" );
          R.AddPin( 8, "8" );
          R.AddPin( 7, "7" );
          R.AddPin( 6, "6" );
          R.AddPin( 5, "5" );
          R.AddPin( 4, "4" );
          R.AddPin( 3, "3" );
          R.AddPin( 2, "2" );
          R.AddPin( 1, "1" );
  }
};

class CP_RDIP_BUSSED_16 : public TPart {     // 15 resistors bussed to common pin 16

public:
  port   COMMON;     
  port   R;          // AR_BUS(15,1)

  CP_RDIP_BUSSED_16() {
    SetPackage( "RSOIC16", 16 );
    SetReferencePrefix( "RP" );
  }

  virtual void Register() {
    reg(  COMMON );
          COMMON.SetPin( "16" );
    regb( R, 15, 1 );
          R.AddPin( 15, "15" );
          R.AddPin( 14, "14" );
          R.AddPin( 13, "13" );
          R.AddPin( 12, "12" );
          R.AddPin( 11, "11" );
          R.AddPin( 10, "10" );
          R.AddPin( 9, "9" );
          R.AddPin( 8, "8" );
          R.AddPin( 7, "7" );
          R.AddPin( 6, "6" );
          R.AddPin( 5, "5" );
          R.AddPin( 4, "4" );
          R.AddPin( 3, "3" );
          R.AddPin( 2, "2" );
          R.AddPin( 1, "1" );
  }
};


#endif
