// This File Generated by:  pt_to_h.exe
// Source File:             resistors.pt
// Destination File:        resistors.h

#ifndef _resistors_h_
#define _resistors_h_

// AR_OFF -- auto registration is not needed

// THIS FILE IS IN THE PUBLIC DOMAIN.
// IT IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT
// NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

class CP_RCHIP603 : public TPart {     // chip resistor in 603 package

public:
  port   A;     
  port   B;     

  CP_RCHIP603() {
    SetPackage( "SRC603", 2 );
    SetReferencePrefix( "R" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "2" );
  }
};

class CP_RCHIP805 : public TPart {     // chip resistor in 805 package

public:
  port   A;     
  port   B;     

  CP_RCHIP805() {
    SetPackage( "SRC805", 2 );
    SetReferencePrefix( "R" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "2" );
  }
};

class CP_RCHIP2010 : public TPart {     // chip resistor in 2010 package

public:
  port   A;     
  port   B;     

  CP_RCHIP2010() {
    SetPackage( "SRC2010", 2 );
    SetReferencePrefix( "R" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "2" );
  }
};

class CP_RCHIP2512 : public TPart {     // chip resistor in 2512 package

public:
  port   A;     
  port   B;     

  CP_RCHIP2512() {
    SetPackage( "SRC2512", 2 );
    SetReferencePrefix( "R" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "2" );
  }
};

class CP_R_AXIAL_D : public TPart {     // medium-size axial thru-hole resistor

public:
  port   A;     
  port   B;     

  CP_R_AXIAL_D() {
    SetPackage( "RES_AXIAL_D", 2 );
    SetReferencePrefix( "R" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "2" );
  }
};

class CP_MP725 : public TPart {     // Caddock surface-mount power resistor

public:
  port   A;       // these pin numbers are consistent with DPAK power transistor and diode convention
  port   B;       
  port   TAB;     // heat sink tab--electrically isolated from resistor element

  CP_MP725() {
    SetPackage( "DPAK_MP725", 3 );
    SetReferencePrefix( "R" );
  }

  virtual void Register() {
    reg(  A );
          A.SetPin( "1" );
    reg(  B );
          B.SetPin( "3" );
    reg(  TAB );
          TAB.SetPin( "4" );
  }
};

class CP_POT_3361 : public TPart {     // see Bourns 3361 series potentiometer

public:
  port   CCW;       // counter-clockwise adjustment moves wiper toward this pin
  port   WIPER;     
  port   CW;        //         clockwise adjustment moves wiper toward this pin

  CP_POT_3361() {
    SetPackage( "BRNS_3361P", 3 );     // default footprint -- user may override with SetPackage()
    SetReferencePrefix( "R" );
  }

  virtual void Register() {
    reg(  CCW );
          CCW.SetPin( "1" );
    reg(  WIPER );
          WIPER.SetPin( "2" );
    reg(  CW );
          CW.SetPin( "3" );
  }
};


#endif
