// This File Generated by:  pt_to_h.exe
// Source File:             supervisors.pt
// Destination File:        supervisors.h

#ifndef _supervisors_h_
#define _supervisors_h_

// AR_OFF -- auto registration is not needed

// THIS FILE IS IN THE PUBLIC DOMAIN.
// IT IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT
// NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

class CP_TPS3305 : public TPart {     // dual-voltage supervisor with watchdog

public:
  port   SENSE1;      
  port   SENSE2;      
  port   WDI;         
  port   GND;         
  port   RESET_N;     
  port   RESET;       
  port   MR_N;        
  port   VCC;         // VDD on data sheet 2.7 - 6V

  CP_TPS3305() {
    SetPackage( "SOIC8", 8 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  SENSE1 );
          SENSE1.SetPin( "1" );
    reg(  SENSE2 );
          SENSE2.SetPin( "2" );
    reg(  WDI );
          WDI.SetPin( "3" );
    reg(  GND );
          GND.SetPin( "4" );
    reg(  RESET_N );
          RESET_N.SetPin( "5" );
    reg(  RESET );
          RESET.SetPin( "6" );
    reg(  MR_N );
          MR_N.SetPin( "7" );
    reg(  VCC );
          VCC.SetPin( "8" );
  }
};

class CP_TPS3808 : public TPart {     // single-voltage supervisor with programmable delay

public:
  port   CT;          // delay programming pin -- NC --> 20 ms
  port   SENSE;       
  port   MR_N;        // manual reset input, internal pullup
  port   RESET_N;     // open-drain output
  port   VCC;         // VDD on data sheet 1.8 - 6.5V
  port   GND;         

  CP_TPS3808() {
    SetPackage( "SOT23_6", 6 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  CT );
          CT.SetPin( "4" );
    reg(  SENSE );
          SENSE.SetPin( "5" );
    reg(  MR_N );
          MR_N.SetPin( "3" );
    reg(  RESET_N );
          RESET_N.SetPin( "1" );
    reg(  VCC );
          VCC.SetPin( "6" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};


#endif
