// This File Generated by:  pt_to_h.exe
// Source File:             voltage_regulators.pt
// Destination File:        voltage_regulators.h

#ifndef _voltage_regulators_h_
#define _voltage_regulators_h_

// AR_OFF -- auto registration is not needed

// THIS FILE IS IN THE PUBLIC DOMAIN.
// IT IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT
// NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

class CP_ADR318ARJ : public TPart {     // Analog devices 1.8 V, 5 mA reference

public:
  port   SHDN_N;         
  port   VIN;            
  port   VOUT_SENSE;     
  port   VOUT_FORCE;     
  port   GND;            

  CP_ADR318ARJ() {
    SetPackage( "SOT23", 5 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  SHDN_N );
          SHDN_N.SetPin( "1" );
    reg(  VIN );
          VIN.SetPin( "2" );
    reg(  VOUT_SENSE );
          VOUT_SENSE.SetPin( "3" );
    reg(  VOUT_FORCE );
          VOUT_FORCE.SetPin( "4" );
    reg(  GND );
          GND.SetPin( "5" );
  }
};

class CP_LT1963AEST : public TPart {     // Linear Technology low noise, low-dropout voltage regulator in SOT-223

public:
  port   IN;      
  port   OUT;     
  port   GND;     // 2 pins

  CP_LT1963AEST() {
    SetPackage( "SOT223", 4 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  IN );
          IN.SetPin( "1" );
    reg(  OUT );
          OUT.SetPin( "3" );
    reg(  GND );
          GND.AddPin( "2" );
          GND.AddPin( "TAB" );
  }
};

class CP_LT1963AES8 : public TPart {     // Linear Technology low noise, low-dropout voltage regulator in SOIC8

public:
  port   IN;            
  port   OUT;           
  port   SENSE_ADJ;     // SENSE for fixed-voltage parts, ADJ for adjustable parts
  port   GND;           // 3 pins
  port   SHDN_N;        
  port   NC;            

  CP_LT1963AES8() {
    SetPackage( "SOIC8", 8 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  IN );
          IN.SetPin( "8" );
    reg(  OUT );
          OUT.SetPin( "1" );
    reg(  SENSE_ADJ );
          SENSE_ADJ.SetPin( "2" );
    reg(  GND );
          GND.AddPin( "3" );
          GND.AddPin( "6" );
          GND.AddPin( "7" );
    reg(  SHDN_N );
          SHDN_N.SetPin( "5" );
    reg(  NC );
          NC.SetPin( "4" );
  }
};

class CP_TL751L : public TPart {     // TI low-dropout voltage regulator

public:
  port   INPUT;        
  port   OUTPUT;       
  port   GND;          // 4 pins  // "COMMON" on data sheet
  port   ENABLE_N;     // for TL750L, pin five is NC
  port   NC;           

  CP_TL751L() {
    SetPackage( "SOIC8", 8 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  INPUT );
          INPUT.SetPin( "8" );
    reg(  OUTPUT );
          OUTPUT.SetPin( "1" );
    reg(  GND );
          GND.AddPin( "2" );
          GND.AddPin( "3" );
          GND.AddPin( "6" );
          GND.AddPin( "7" );
    reg(  ENABLE_N );
          ENABLE_N.SetPin( "5" );
    reg(  NC );
          NC.SetPin( "4" );
  }
};

class CP_REG103UA : public TPart {     // TI low-dropout voltage regulator in D package (SOIC)

public:
  port   INPUT;       // 2 pins  // "VIN" on data sheet
  port   OUTPUT;      // 2 pins  // "VOUT" on data sheet
  port   GND;         // "COMMON" on data sheet
  port   NR;          // Noise reduction (Adjust on REG103A-A)
  port   ENABLE;      // tie to INPUT
  port   ERROR_N;     // open-drain output

  CP_REG103UA() {
    SetPackage( "SOIC8", 8 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  INPUT );
          INPUT.AddPin( "8" );
          INPUT.AddPin( "7" );
    reg(  OUTPUT );
          OUTPUT.AddPin( "1" );
          OUTPUT.AddPin( "2" );
    reg(  GND );
          GND.SetPin( "4" );
    reg(  NR );
          NR.SetPin( "3" );
    reg(  ENABLE );
          ENABLE.SetPin( "5" );
    reg(  ERROR_N );
          ERROR_N.SetPin( "6" );
  }
};

class CP_PT7711C : public TPart {

public:
  port   VID;          // AR_BUS(4,0)
  port   STBY_N;       
  port   VIN;          // 5 pins
  port   RS_GND;       
  port   GND;          // 13 pins  // M1-M6 are mechanical pins
  port   VOUT;         // 6 pins
  port   RS_VOUT;      
  port   SYNC_OUT;     

  CP_PT7711C() {
    SetPackage( "PTSMT1430C", 33 );     // surface-mount package
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    regb( VID, 4, 0 );
          VID.AddPin( 4, "6" );
          VID.AddPin( 3, "4" );
          VID.AddPin( 2, "3" );
          VID.AddPin( 1, "2" );
          VID.AddPin( 0, "1" );
    reg(  STBY_N );
          STBY_N.SetPin( "5" );
    reg(  VIN );
          VIN.AddPin( "7" );
          VIN.AddPin( "8" );
          VIN.AddPin( "9" );
          VIN.AddPin( "10" );
          VIN.AddPin( "11" );
    reg(  RS_GND );
          RS_GND.SetPin( "12" );
    reg(  GND );
          GND.AddPin( "13" );
          GND.AddPin( "14" );
          GND.AddPin( "15" );
          GND.AddPin( "16" );
          GND.AddPin( "17" );
          GND.AddPin( "18" );
          GND.AddPin( "19" );
          GND.AddPin( "M1" );
          GND.AddPin( "M2" );
          GND.AddPin( "M3" );
          GND.AddPin( "M4" );
          GND.AddPin( "M5" );
          GND.AddPin( "M6" );
    reg(  VOUT );
          VOUT.AddPin( "20" );
          VOUT.AddPin( "21" );
          VOUT.AddPin( "22" );
          VOUT.AddPin( "23" );
          VOUT.AddPin( "24" );
          VOUT.AddPin( "25" );
    reg(  RS_VOUT );
          RS_VOUT.SetPin( "26" );
    reg(  SYNC_OUT );
          SYNC_OUT.SetPin( "27" );
  }
};

class CP_PT6701C : public TPart {

public:
  port   OVP_DRIVE;     
  port   PWR_GOOD;      
  port   VID;           // AR_BUS(4,0)
  port   STBY_N;        
  port   NC;            // do not connect
  port   VIN;           // 3 pins
  port   RS_GND;        
  port   GND;           // 11 pins  // M1-M6 are mechanical pins
  port   VOUT;          // 4 pins
  port   RS_VOUT;       

  CP_PT6701C() {
    SetPackage( "PTSMT1310C", 29 );     // surface-mount package
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  OVP_DRIVE );
          OVP_DRIVE.SetPin( "1" );
    reg(  PWR_GOOD );
          PWR_GOOD.SetPin( "2" );
    regb( VID, 4, 0 );
          VID.AddPin( 4, "7" );
          VID.AddPin( 3, "6" );
          VID.AddPin( 2, "5" );
          VID.AddPin( 1, "4" );
          VID.AddPin( 0, "3" );
    reg(  STBY_N );
          STBY_N.SetPin( "8" );
    reg(  NC );
          NC.SetPin( "9" );
    reg(  VIN );
          VIN.AddPin( "10" );
          VIN.AddPin( "11" );
          VIN.AddPin( "12" );
    reg(  RS_GND );
          RS_GND.SetPin( "13" );
    reg(  GND );
          GND.AddPin( "14" );
          GND.AddPin( "15" );
          GND.AddPin( "16" );
          GND.AddPin( "17" );
          GND.AddPin( "18" );
          GND.AddPin( "M1" );
          GND.AddPin( "M2" );
          GND.AddPin( "M3" );
          GND.AddPin( "M4" );
          GND.AddPin( "M5" );
          GND.AddPin( "M6" );
    reg(  VOUT );
          VOUT.AddPin( "19" );
          VOUT.AddPin( "20" );
          VOUT.AddPin( "21" );
          VOUT.AddPin( "22" );
    reg(  RS_VOUT );
          RS_VOUT.SetPin( "23" );
  }
};

class CP_PT6603C : public TPart {

public:
  port   RS;           
  port   NC;           
  port   STBY_N;       
  port   VIN;          // 3 pins
  port   GND;          // 4 pins
  port   VOUT;         // 3 pins
  port   VOUT_ADJ;     

  CP_PT6603C() {
    SetPackage( "PTSMT400", 14 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  RS );
          RS.SetPin( "1" );
    reg(  NC );
          NC.SetPin( "2" );
    reg(  STBY_N );
          STBY_N.SetPin( "3" );
    reg(  VIN );
          VIN.AddPin( "4" );
          VIN.AddPin( "5" );
          VIN.AddPin( "6" );
    reg(  GND );
          GND.AddPin( "7" );
          GND.AddPin( "8" );
          GND.AddPin( "9" );
          GND.AddPin( "10" );
    reg(  VOUT );
          VOUT.AddPin( "11" );
          VOUT.AddPin( "12" );
          VOUT.AddPin( "13" );
    reg(  VOUT_ADJ );
          VOUT_ADJ.SetPin( "14" );
  }
};

class CP_PT7707C : public TPart {

public:
  port   VID;          // AR_BUS(4,0)
  port   STBY_N;       
  port   VIN;          // 5 pins
  port   RS_GND;       
  port   GND;          // 7 pins
  port   VOUT;         // 6 pins
  port   RS_VOUT;      
  port   SYNC_OUT;     

  CP_PT7707C() {
    SetPackage( "PTSMT810", 27 );
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    regb( VID, 4, 0 );
          VID.AddPin( 4, "6" );
          VID.AddPin( 3, "4" );
          VID.AddPin( 2, "3" );
          VID.AddPin( 1, "2" );
          VID.AddPin( 0, "1" );
    reg(  STBY_N );
          STBY_N.SetPin( "5" );
    reg(  VIN );
          VIN.AddPin( "7" );
          VIN.AddPin( "8" );
          VIN.AddPin( "9" );
          VIN.AddPin( "10" );
          VIN.AddPin( "11" );
    reg(  RS_GND );
          RS_GND.SetPin( "12" );
    reg(  GND );
          GND.AddPin( "13" );
          GND.AddPin( "14" );
          GND.AddPin( "15" );
          GND.AddPin( "16" );
          GND.AddPin( "17" );
          GND.AddPin( "18" );
          GND.AddPin( "19" );
    reg(  VOUT );
          VOUT.AddPin( "20" );
          VOUT.AddPin( "21" );
          VOUT.AddPin( "22" );
          VOUT.AddPin( "23" );
          VOUT.AddPin( "24" );
          VOUT.AddPin( "25" );
    reg(  RS_VOUT );
          RS_VOUT.SetPin( "26" );
    reg(  SYNC_OUT );
          SYNC_OUT.SetPin( "27" );
  }
};

class CP_PTH05000WAS : public TPart {

public:
  port   VOUT;          
  port   VO_ADJUST;     
  port   INHIBIT_N;     
  port   VIN;           
  port   GND;           

  CP_PTH05000WAS() {
    SetPackage( "PTSMT_EUT", 5 );     // surface-mount package
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  VOUT );
          VOUT.SetPin( "5" );
    reg(  VO_ADJUST );
          VO_ADJUST.SetPin( "4" );
    reg(  INHIBIT_N );
          INHIBIT_N.SetPin( "3" );
    reg(  VIN );
          VIN.SetPin( "2" );
    reg(  GND );
          GND.SetPin( "1" );
  }
};


#endif
