// This File Generated by:  pt_to_h.exe
// Source File:             xosc.pt
// Destination File:        xosc.h

#ifndef _xosc_h_
#define _xosc_h_

// AR_OFF -- auto registration is not needed

// THIS FILE IS IN THE PUBLIC DOMAIN.
// IT IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT
// NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

class CP_XOSC8 : public TPart {     // generic thru-hole oscillator

public:
  port   OUT;      
  port   OE;       // output enable
  port   AVCC;     // 3.3V VCC  ("AVCC" because ferrite noise filter is recommended)
  port   GND;      

  CP_XOSC8() {
    SetPackage( "DIP8", 4 );
    SetReferencePrefix( "X" );
  }

  virtual void Register() {
    reg(  OUT );
          OUT.SetPin( "5" );
    reg(  OE );
          OE.SetPin( "1" );
    reg(  AVCC );
          AVCC.SetPin( "8" );
    reg(  GND );
          GND.SetPin( "4" );
  }
};

class CP_XOSC_SMT : public TPart {     // generic surface-mount oscillator

public:
  port   OUT;      
  port   OE;       // output enable
  port   AVCC;     // 3.3V VCC  ("AVCC" because ferrite noise filter is recommended)
  port   GND;      

  CP_XOSC_SMT() {
    SetPackage( "SMT_OSC4", 4 );
    SetReferencePrefix( "X" );
  }

  virtual void Register() {
    reg(  OUT );
          OUT.SetPin( "3" );
    reg(  OE );
          OE.SetPin( "1" );
    reg(  AVCC );
          AVCC.SetPin( "4" );
    reg(  GND );
          GND.SetPin( "2" );
  }
};

class CP_CW_VCXO : public TPart {     // Connor-Winfield voltage controlled crystal oscillator

public:
  port   VCONTROL;     // analog control voltage
  port   ENABLE_N;     // disable --> drive OUT_P low, OUT_N high
  port   GND;          
  port   OUT_P;        
  port   OUT_N;        
  port   VCC;          // 3.3 V

  CP_CW_VCXO() {
    SetPackage( "SMT_CWVCXO6", 6 );     // six-terminal surface-mount package
    SetReferencePrefix( "U" );
  }

  virtual void Register() {
    reg(  VCONTROL );
          VCONTROL.SetPin( "1" );
    reg(  ENABLE_N );
          ENABLE_N.SetPin( "2" );
    reg(  GND );
          GND.SetPin( "3" );
    reg(  OUT_P );
          OUT_P.SetPin( "4" );
    reg(  OUT_N );
          OUT_N.SetPin( "5" );
    reg(  VCC );
          VCC.SetPin( "6" );
  }
};


#endif
