/*                                                                               *\
    This file is part of the CBOLD(tm) framework for electronic design capture.
                         Copyright (C) 2007 Coolquest, Inc.

      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or
      (at your option) any later version.

      This program is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.

      You should have received a copy of the GNU General Public License along
      with this program; if not, write to the Free Software Foundation, Inc.,
      51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    For more about the CBOLD framework and Coolquest, Inc., see www.cbold.com.
\*                                                                               */

// file skel_sub.h:  example skeleton subsystem file

#ifndef _skel_sub_h_                             // <=== change these lines to match your file name
#define _skel_sub_h_

// This is a skeleton subsystem header file.                                 <===
// To adapt this file to your design, see comments that contain this arrow:  <===
// See also skeleton.cpp and skeleton.h.                                     <===

// include header files used by this subsystem, e.g., part header files
#include "decoupling.h"                          // <=== example part header file -- be sure the included file's directory is in your compiler's include path
                                                 // <=== if your subsystem has member modules, either define them here or #include their header file(s) here

class CM_Power : public TModule {                // <=== change name (CM_Power) to match your subsystem name
public:
// ***** member bundles ***** //
                                                 // <=== declare member bundles here
// ***** member ports ***** //
                                                 // <=== declare member ports here
  port VCC;                                      // <=== example ports
  port GND;

// ***** member modules and parts ***** //
                                                 // <=== declare member parts here
  CP_CDC_POS  VCC_CDC[ 4 ];                      // <=== example parts


  virtual void Register() {
                                                 // <=== register all member bundles, ports, modules and parts here
    reg(  VCC         );    // auto_reg
    reg(  GND         );    // auto_reg
    rega( VCC_CDC, 4  );    // auto_reg
  }

  virtual void Connect() {
                                                 // <=== make all internal connections here
    wireall( GND );                              // <=== example connections
    for ( int i = 0; i < 4; ++ i ) {
      VCC  <<  VCC_CDC[ i ].POS;
    }
  }
};

#endif

